9 Replies Latest reply on May 6, 2011 5:06 AM by Drew747

    WSDL in Flash Builder 4 not working, but does in Flex Builder 3

    Avi Kessner Level 1

      Hi,

      I was going to open up a bug in the adobe bug list, but before I did that I wanted to double check with the forums.

       

      We have a lot of old flex3 projects that make a connection to our SOAP services.  To generrate the .wsdl files for these services we use an old program called XFire.  http://xfire.codehaus.org/Download  We are using version 1.1.1

       

      In Flex Builder 3 (which we sadly still have to use) we are able to generate the code for the SOAP services, using the wizard perfectly.  Everything works fine.

       

      However, when I tried to get the office to upgrade to Flash Builder 4, we discovered that our .wsdl files can not be converted.  The error we recieve is:

       

       

       

      There was an error during service introspection.

        src-resolve.4.2: Error resolving component 'ns1:Vidget'. It was detected that 'ns1:Vidget' is in namespace 'http://model.tvhive.attractv.com', but components from this namespace are not referenceable from schema document 'http://services.attractv.net/newtvhive/services/VidgetServiceImpl?wsdl'. If this is the incorrect namespace, perhaps the prefix of 'ns1:Vidget' needs to be changed. If this is the correct namespace, then an appropriate 'import' tag should be added to 'http://services.attractv.net/newtvhive/services/VidgetServiceImpl?wsdl'.

      Updating our Soap service calls is not an option, nor is changing their files. They are old and have been used for a long time.  The import wizard works fine in Flex Builder 3, and I'd really like to update to Flash Builder 4, but this is stoping us.
      Thank you.
      If I should report this as a bug, which section should I report it in?  Thank you.